import 'package:flutter/material.dart';
// import 'package:glossy/glossy.dart';
import 'package:pharmacy_mobile/widgets/customized_pub/glossy_container.dart';

class GlossyContainerWidget extends StatelessWidget {
  final Widget child;
  const GlossyContainerWidget({
    super.key,
    required this.child,
  });

  @override
  Widget build(BuildContext context) {
    return GlossyContainer(
        width: MediaQuery.of(context).size.width,
        borderRadius: const BorderRadius.all(Radius.circular(16)),
        color: const Color.fromRGBO(20, 13, 22, 1),
        border: Border.all(width: 0, color: const Color.fromRGBO(216, 176, 219, 1)),
        boxShadow: [
          BoxShadow(
            color: const Color.fromRGBO(78, 45, 79, 0.4),
            spreadRadius: 1,
            blurRadius: 4,
            offset: const Offset(0, 3), // changes position of shadow
          ),
        ],
        child: Padding(
          padding: const EdgeInsets.fromLTRB(32, 32, 32, 40),
          child: child,
        ));
  }
}
